Removes a model
DELETEhttps://apis.<domain>/iot/models/:modelId
Removes a model.
Authorization Action:
core:models:delete
<Heading
id={"request"}
as={"h2"}
className={"openapi-tabs__heading"}
children={"Request"}
>
</Heading>
<ParamsDetails
parameters={[{"name":"modelId","description":"Unique model identifier.","in":"path","schema":{"type":"string","format":"uuid"},"required":true}]}
>
</ParamsDetails>
<RequestSchema
title={"Body"}
body={undefined}
>
</RequestSchema>
<StatusCodes
id={undefined}
label={undefined}
responses={{"204":{"description":"Model removed."},"400":{"description":"Failed due to malformed model ID."},"401":{"description":"Missing or invalid access token provided."},"500":{"description":"Unexpected server error.","content":{"application/json":{"schema":{"type":"string","format":"byte"}}}}}}
>
</StatusCodes>
Authorization: http
name: bearerTokentype: httpscheme: bearerin: headerdescription: Authorization Header: `Authorization: Bearer <user_token>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Delete, "https://apis.<domain>/iot/models/:modelId");
request.Headers.Add("Authorization", "Bearer <token>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());